WordPress.org

Ready to get started?Download WordPress

Forums

WP Super Cache
Breaks Nextgen Gallery (1 post)

  1. quirkylissy
    Member
    Posted 1 year ago #

    After installing WP Super Cache, it breaks the nextgen gallery. The following problem surfaced:

    (I am using latest WP 3.5, and latest Nextgen 1.9.10, I was trying to blog and encounter this error)

    1. Able to upload images using zip upload
    2. Able to edit the images in the gallery
    3. Go to add new post, click on the nextgen icon, the window pops out, the dropdown menu doesn't display the albums, instead, it shows an error message:
    fail 99 'Insufficient permissions. Method requires read privileges; none granted

    I uninstalled and removed all traces of WP super cache, and nextgen gallery works again. I would love to use WP Super cache, is there a workaround?

    There must be rewrite rule in Super Cache that conflicts with the nextgen code:

    function valid_access() {

    // if we are logged in, then we can go on
    if ( is_user_logged_in() )
    return true;

    //TODO:Implement an API KEY check later
    if ($this->api_key != false)
    return true;

    $this->result = array ('stat' => 'fail', 'code' => '99', 'message' => 'Insufficient permissions. Method requires read privileges; none granted.');
    return false;
    }

    http://wordpress.org/extend/plugins/wp-super-cache/

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.